Package ru.bitel.bgbilling.kernel.contract.api.common.service

# Interface CustomerParameterProviderService

public interface CustomerParameterProviderService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getParametersSearchImplementation()`
  `String`
  `searchParameters(String data, String searchImplementation)`
  Попытка получить данные об организации по ИНН из ФНС (Прозрачный бизнес) для проверки юр.лица и автоматического заполнения параметров
  `void`
  `updateContractParameters(int contractId, String parameters)`
  Если настроено в конфигурации сервера, то параметры юр.лица полученные из внешней системы сохраняются в параметры договора, согласна настройка из конфигурации.

- ## Method Details

  - ### searchParameters

    String searchParameters(String data, String searchImplementation) throws ru.bitel.bgbilling.common.BGException
    Попытка получить данные об организации по ИНН из ФНС (Прозрачный бизнес) для проверки юр.лица и автоматического заполнения параметров
    Parameters:
      `data` - ИНН или ОГРН
    Returns:
      JSON. Полученные данные от ФНС только те, что могут быть использованы в параметрах договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getParametersSearchImplementation

    List<String> getParametersSearchImplementation() throws ru.bitel.bgbilling.common.BGException
    Returns:
      список всех реализаций поиска параметров в сторонних системах
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractParameters

    void updateContractParameters(int contractId, String parameters) throws ru.bitel.bgbilling.common.BGException
    Если настроено в конфигурации сервера, то параметры юр.лица полученные из внешней системы сохраняются в параметры договора, согласна настройка из конфигурации.
    Parameters:
      `contractId` - ID договора
      `parameters` - все данные полученные из внешней системы
    Throws:
      `ru.bitel.bgbilling.common.BGException`